import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../../shared/base-api-template-service.model';
import { ApiVisa } from '../../../shared';
import { Observable } from 'rxjs';
import { ApiResponseModel } from '../../../shared/api-response.model';
export declare class LogisticProviderHdrService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    createAppGenericResource(dtoObject: any, visa: ApiVisa, guid: String): Observable<ApiResponseModel<any>>;
    updateAppGenericResource(dtoObject: any, visa: ApiVisa, guid: String): Observable<ApiResponseModel<any>>;
    deleteCredentialByGuid(visa: ApiVisa, guid: String): Observable<ApiResponseModel<any>>;
}
